JsDoc Reference - HSMCVCertificateStore

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class HSMCVCertificateStore

CV certificate store with SmartCard-HSM as secure key store
Defined in: HSMCVCertificateStore.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| HSMCVCertificateStore(daof, sc) Create a CV certificate store using a SmartCard-HSM as secure key store

Method Summary
Method Attributes | Method Name and Description
--- | ---
| deletePrivateKey(path, chr) Get a private key in the certificate store.
| generateRequest(path, car, forceInitial, signinitial, keyspec, algo, countryseq) Generate a certificate request using a private key in the SmartCard-HSM
| getCrypto() Get crypto object
| getPrivateKey(path, chr) Get a private key in the certificate store.
<static> | HSMCVCertificateStore.path2label(path, chr) Transform path and certificate holder into a label

Class Detail
HSMCVCertificateStore(daof, sc)
Create a CV certificate store using a SmartCard-HSM as secure key store

Parameters:
{DAOFactory} daof
  the factory that can create data access objects for persistent information
{SmartCardHSM} sc
  the SmartCard-HSM access object

Method Detail
{Key} deletePrivateKey(path, chr)
Get a private key in the certificate store. Overrides method in CVCertificateStore.

Parameters:
{String} path
  the relative path of the PKI element (e.g. "/UTCVCA1/UTDVCA1/UTTERM")
{PublicKeyReference} chr
  the public key reference for this key

Returns:
  the private key or null if not found

{CVC} generateRequest(path, car, forceInitial, signinitial, keyspec, algo, countryseq)
Generate a certificate request using a private key in the SmartCard-HSM

Parameters:
{String} path
  the relative path of the PKI element (e.g. "/UTCVCA1/UTDVCA1")
{PublicKeyReference} car
  the CA at which this request is addressed
{boolean} forceInitial
  force an initial request, even if a current certificate is available
{boolean} signinitial
  sign with initial key (sequence = 00000)
{Key} keyspec
  a key object containing key parameters (e.g. EC Curve)
{ByteString} algo
  the terminal authentication algorithm object identifier
countryseq

Returns:
  the certificate request

{HSMCrypto} getCrypto()
Get crypto object

Returns:
  the HSMCrypto object

{Key} getPrivateKey(path, chr)
Get a private key in the certificate store. Overrides method in CVCertificateStore.

Parameters:
{String} path
  the relative path of the PKI element (e.g. "/UTCVCA1/UTDVCA1/UTTERM")
{PublicKeyReference} chr
  the public key reference for this key

Returns:
  the private key or null if not found

<static> {String} HSMCVCertificateStore.path2label(path, chr)
Transform path and certificate holder into a label

Parameters:
{String} path
  the path
{PublicKeyReference} chr
  the certificate holder reference

Returns:
  the key label

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)